GET
/v1/related
v1Get related articles
Retrieve articles related to a given article, determined by semantic similarity.
Parameters
| Name | Type | Description |
|---|---|---|
url_hash required | string | URL hash of the reference article e.g. a1b2c3d4e5 |
limit | integer | Number of related articles to return Default: 8 e.g. 5 |
url_hash required stringURL hash of the reference article
e.g. a1b2c3d4e5
limit integerNumber of related articles to return
Default: 8
e.g. 5
Request Examples
bash
curl "https://api.newsrank.ai/v1/related?url_hash=a1b2c3d4e5&limit=5" \
-H "Authorization: Bearer nrf_your_api_key"Response
json
[
{
"id": 48210,
"url_hash": "a1b2c3d4e5",
"title": "Supreme Court Rules on Landmark Climate Case",
"url": "https://example.com/article/supreme-court-climate",
"source_id": 12,
"source_name": "Reuters",
"category": "politics",
"published_at": 1708300800000,
"discovered_at": 1708301400000,
"excerpt": "The Supreme Court issued a landmark ruling today on...",
"image_url": "https://example.com/images/court.jpg",
"content_status": "has_content",
"headline_summary": "Supreme Court sides with environmental regulators",
"slug": "supreme-court-rules-on-landmark-climate-case"
}
]Try it
Server
Using sandbox demo key (5 req/min) — no signup required
Authentication
Demo key (sandbox)
Endpoint
GET /v1/related
Default: 8